using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Services.DeviceSkillService
{
    public interface IPropService
    {
        public Task<Prop?> GetById(long id);
        public Task<Prop?> GetByPropName(string value);
        public Task<IReadOnlyList<Prop>> GetList();
        public Task<Prop?> Create(Prop value);
        //public Task<User?> Update(User user);
        public Task<Prop?> Delete(long id);
        public Task<IReadOnlyList<Prop>?> GetByIds(long[] ids);
    }
}
